FRM(1L)

NAME
frm,nfrm - list from and subject of selected messages in mailbox or folder

SYNOPSIS
frm [-dclass=debugfile:level] [-hnQqStv] [-s status] [folder | username] ...
nfrm [-hnQqStv] [-s status] [folder | username] ...

DESCRIPTION
Frm outputs one line per message of the form:

from [subject]

where from is the name of the person the message is from, and subject is the subject of the message, if present. If the message is from you, the from portion will read ``To user'', where `user' is the user the message was sent to. This happens when you receive a copy of a letter you sent.

If a folder is specified, the program reads that folder rather than the default mailbox. If the argument is a username then frm looks in that user's mailbox, provided you have permission to read it.

A folder can be specified with the same notation as when invoking the Elm mailer (e.g., =folder).

Frm invoked as nfrm is identical to invoking ``frm -s new''.

OPTIONS
The frm program has the following options:

-d class=debugfile:level
    Debug - set specified debug level - Output to "$HOME/FRM:debug.info" if debugfile is not given. Has no effect unless frm was compiled with debugging enabled.

-h  Print a brief help message summarizing the options.

-n  Number the messages using the same numbering scheme that, for example, readmsg will understand.

-Q  Very quiet mode. Only error messages are produced. This option is useful in shell scripts, where only the success or failure of the program is important, and output is not desired.

-q  Quiet mode. Output only a one-line summary for each mailbox or folder specified.

-S  Summarize the number of messages by message status in each mailbox or folder. If you want just a summary line, use this in conjunction with the -q option.

-s status
    Only display headers from messages with the given status. `status' is one of "new", "unread", "old" (same as "unread"), or "read". The -s option can be specified multiple times to print header information from, for example, only new and unread messages. It is sufficient to specify only the first letter of the status.

-t  Tidy mode. If the from field is long enough to displace the subject field from its natural start column, move the subject down onto the next line.

-v  Verbose mode. Print a descriptive header before listing the contents of each mailbox or folder.

EXIT STATUS
Frm returns a zero status ("true") if messages matching `status' are present. Frm returns 1 if no messages matching `status' are present, but there are some messages, returns 2 if there are no messages at all, or returns 3 if an error occurred. If multiple mailboxes or folders are specified, the exit status only applies to the last one examined. This can be used in scripts to determine what kind of mail a user has.

EXAMPLES
Some example uses:
	$ frm
will display header information from all the messages in your mailbox, or ``You have no mail.'' if there are no messages in your incoming mailbox.
	$ frm -s new
will display header information from all new messages in your mailbox, or ``You have no new mail.'' Note the slightly different diagnostic.
	$ frm -s new -s unread guest
assuming you have the proper file permissions to read guest's mail, will print out header information from all new and unread messages in guest's incoming mailbox. If there are no messages, frm will print ``guest has no mail.''
	$ frm -q -S
will print only a one line summary of how many read, unread, and read messages are in your incoming mailbox. For example, ``You have 2 new messages, 3 unread messages, 23 read messages.''

AUTHOR
Elm Development Group, Kari Hurtta

SEE ALSO
readmsg(1L), elm(1L), mail(1), mailx(1)

FILES
/usr/pkg/lib/elm.rc     customized mailer parameters
/usr/pkg/lib/elm.mimecharsets locale to MIME charsets mapping information
/usr/pkg/lib/elm.map.txt/     system character set mapping directory
$HOME/.elm/elmrc customized mailer parameters
$HOME/mime.charsets locale to MIME charsets mapping information

BUG REPORTS TO
Kari Hurtta    hurtta+elm@ozone.fmi.fi

COPYRIGHTS
Copyright 1996-2001 by Kari Hurtta
Based on Elm 2.4, Copyright 1988-1992 by The USENET Community Trust
Derived from Elm 2.0, Copyright 1986, 1987 by Dave Taylor